
Redmine - Patch #18817

Sort helper undefined to_a for string

2015-01-13 00:22 - Ondřej Ezr

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.0.0   

Description

Sort helper - in new rails to_a for string is not defined

Associated revisions

Revision 13970 - 2015-02-07 10:08 - Jean-Philippe Lang

Sort helper undefined to_a for string (#18817).

Patch by Ondřej Ezr.

History

#1 - 2015-02-02 13:52 - Toshi MARUYAMA

- Target version set to 3.0.0

#2 - 2015-02-07 10:09 - Jean-Philippe Lang

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed in r13970, thanks.

#3 - 2015-03-08 13:37 - Toshi MARUYAMA

For the record:

Redmine defined String#to_a on Redmine < 3 and it was removed by r13482 (#14534).

source:tags/2.6.2/lib/redmine/core_ext/string/conversions.rb#L41
